Search documentation of wx

# View Source wxGridCellTextEditor (wx v2.4.3.1)

Grid cell editor for string/text data.

See:

- `wxGridCellEditor`

- `wxGridCellBoolEditor`

- `wxGridCellChoiceEditor`

- `wxGridCellFloatEditor`

- `wxGridCellNumberEditor`

This class is derived, and can use functions, from:

- `wxGridCellEditor`

wxWidgets docs: wxGridCellTextEditor

# Summary

## Types

wxGridCellTextEditor()

## Functions

destroy(This)

Destroys the object

new()

Equivalent to `new([])`.

new(Options)

Text cell editor constructor.

setParameters(This, Params)

The parameters string format is "n" where n is a number representing the maximum width.

# Types

# wxGridCellTextEditor()

    -type wxGridCellTextEditor() :: wx:wx_object().

# Functions

# destroy(This)

    -spec destroy(This :: wxGridCellTextEditor()) -> ok.

Destroys the object

# new()

    -spec new() -> wxGridCellTextEditor().

Equivalent to `new([])`.

# new(Options)

    -spec new([Option]) -> wxGridCellTextEditor() when Option :: {maxChars, integer()}.

Text cell editor constructor.

# setParameters(This, Params)

    -spec setParameters(This, Params) -> ok
                           when This :: wxGridCellTextEditor(), Params :: unicode:chardata().

The parameters string format is "n" where n is a number representing the maximum width.